<?php

namespace FiloBlu\Storelocator\Model;
use Magento\Framework\Model\AbstractModel;
use Magento\Framework\DataObject\IdentityInterface;

class StoreImage extends AbstractModel implements IdentityInterface
{
    const CACHE_TAG = 'filoblu_storelocator_storeimage';

    protected $_cacheTag = 'filoblu_storelocator_storeimage';

    protected $_eventPrefix = 'filoblu_storelocator_storeimage';

    protected function _construct()
    {
        $this->_init('FiloBlu\Storelocator\Model\ResourceModel\StoreImage');
    }

    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }

    public function getDefaultValues()
    {
        $values = [];

        return $values;
    }
}
